<?php
/**
 * 广告登陆
 * $Id: miniplay_ad_edit_result.php,v 1.1 2015/10/08 11:18:46 wanggb Exp $
 * @author wanggb
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("ADMIN,MANAGER")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["footer"] = "footer.inc";
	$layout_pages["top"] = "menu.inc";
	$layout_pages["middle"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
}

// 参数取得
$action_type = ParamUtil::getRequestString("action_type");
$id = ParamUtil::getRequestString("id");

$channel_no = ParamUtil::getRequestString("channel_no");
$title = ParamUtil::getRequestString("title");
$comment = ParamUtil::getRequestString("comment");

//编辑
if($action_type == "edit") {
	$channel_mst = ChannelMst::getById($id);
	$channel_mst->channel_no = $channel_no;
	$channel_mst->title = $title;
	$channel_mst->comment = $comment;
	$channel_mst->save();
}

//添加
if($action_type == "new") {
	$channel_mst = new ChannelMst();
	$channel_mst->channel_no = $channel_no;
	$channel_mst->title = $title;
	$channel_mst->comment = $comment;
	$channel_mst->save();
}

header("Location:channel_list.php?rand=".time());
exit;